import os
from setuptools import setup, find_packages


def read(fname):
    with open(os.path.join(os.path.dirname(__file__), fname)) as f:
        return f.read()


setup(
    name="kivy-ios",
    version="1.0.0.dev0",
    description="Kivy for iOS",
    long_description=read("README.md"),
    long_description_content_type="text/markdown",
    author="The Kivy team",
    author_email="kivy-dev@googlegroups.com",
    url="https://github.com/kivy/kivy-ios",
    python_requires=">=3.6.0",
    install_requires=["cookiecutter", "pbxproj", "Pillow", "requests", "sh",],
    packages=find_packages(),
    package_data={
        "": ("ModulesSetup", "*.h", "*.m", "*.patch", "*.pyx"),
        "kivy_ios.recipes.ios": ("src/*.h", "src/*.m", "src/*.pyx"),
    },
    entry_points={"console_scripts": ["toolchain = kivy_ios.toolchain:main"],},
)
